## org.eclipse.emf.mapping.ecore2xml.impl
Class Ecore2XMLPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.emf.mapping.ecore2xml.impl.Ecore2XMLPackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, Ecore2XMLPackage

    public class Ecore2XMLPackageImpl

extends EPackageImpl
implements Ecore2XMLPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.mapping.ecore2xml.Ecore2XMLPackage
`Ecore2XMLPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.mapping.ecore2xml.Ecore2XMLPackage

`eCONTENT_TYPE, eINSTANCE, eNAME, ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY, ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__KEY, ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY__VALUE, ENAMED_ELEMENT_TO_XML_INFO_MAP_ENTRY_FEATURE_COUNT, eNS_PREFIX, eNS_URI, XML_INFO, XML_INFO__NAME, XML_INFO__TARGET_NAMESPACE, XML_INFO__XML_REPRESENTATION, XML_INFO_FEATURE_COUNT, XML_MAP, XML_MAP__ECORE_TO_XML_INFO, XML_MAP__ID_ATTRIBUTE_NAME, XML_MAP__NO_NAMESPACE_PACKAGE, XML_MAP_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`Ecore2XMLFactory` `getEcore2XMLFactory()`
`EReference` `getENamedElementToXMLInfoMapEntry_Key()`
`EReference` `getENamedElementToXMLInfoMapEntry_Value()`
`EClass` `getENamedElementToXMLInfoMapEntry()`
`EAttribute` `getXMLInfo_Name()`
`EAttribute` `getXMLInfo_TargetNamespace()`
`EAttribute` `getXMLInfo_XMLRepresentation()`
`EClass` `getXMLInfo()`
`EReference` `getXMLMap_EcoreToXMLInfo()`
`EAttribute` `getXMLMap_IDAttributeName()`
`EReference` `getXMLMap_NoNamespacePackage()`
`EClass` `getXMLMap()`
`static Ecore2XMLPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProperties, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static Ecore2XMLPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `Ecore2XMLPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getXMLInfo

    public EClass getXMLInfo()

  Specified by:
    `getXMLInfo` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for class 'XML Info'.
  See Also:
    `XMLInfo`

### getXMLInfo_Name

    public EAttribute getXMLInfo_Name()

  Specified by:
    `getXMLInfo_Name` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `XMLInfo.getName()`, `Ecore2XMLPackage.getXMLInfo()`

### getXMLInfo_TargetNamespace

    public EAttribute getXMLInfo_TargetNamespace()

  Specified by:
    `getXMLInfo_TargetNamespace` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the attribute 'Target Namespace'.
  See Also:
    `XMLInfo.getTargetNamespace()`, `Ecore2XMLPackage.getXMLInfo()`

### getXMLInfo_XMLRepresentation

    public EAttribute getXMLInfo_XMLRepresentation()

  Specified by:
    `getXMLInfo_XMLRepresentation` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the attribute 'XML Representation'.
  See Also:
    `XMLInfo.getXMLRepresentation()`, `Ecore2XMLPackage.getXMLInfo()`

### getXMLMap

    public EClass getXMLMap()

  Specified by:
    `getXMLMap` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for class 'XML Map'.
  See Also:
    `XMLMap`

### getXMLMap_IDAttributeName

    public EAttribute getXMLMap_IDAttributeName()

  Specified by:
    `getXMLMap_IDAttributeName` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the attribute 'ID Attribute Name'.
  See Also:
    `XMLMap.getIDAttributeName()`, `Ecore2XMLPackage.getXMLMap()`

### getXMLMap_EcoreToXMLInfo

    public EReference getXMLMap_EcoreToXMLInfo()

  Specified by:
    `getXMLMap_EcoreToXMLInfo` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the map 'Ecore To XML Info'.
  See Also:
    `XMLMap.getEcoreToXMLInfo()`, `Ecore2XMLPackage.getXMLMap()`

### getXMLMap_NoNamespacePackage

    public EReference getXMLMap_NoNamespacePackage()

  Specified by:
    `getXMLMap_NoNamespacePackage` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the reference 'No Namespace Package'.
  See Also:
    `XMLMap.getNoNamespacePackage()`, `Ecore2XMLPackage.getXMLMap()`

### getENamedElementToXMLInfoMapEntry

    public EClass getENamedElementToXMLInfoMapEntry()

  Specified by:
    `getENamedElementToXMLInfoMapEntry` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for class 'ENamed Element To XML Info Map Entry'.
  See Also:
    `Map.Entry`

### getENamedElementToXMLInfoMapEntry_Key

    public EReference getENamedElementToXMLInfoMapEntry_Key()

  Specified by:
    `getENamedElementToXMLInfoMapEntry_Key` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `Ecore2XMLPackage.getENamedElementToXMLInfoMapEntry()`

### getENamedElementToXMLInfoMapEntry_Value

    public EReference getENamedElementToXMLInfoMapEntry_Value()

  Specified by:
    `getENamedElementToXMLInfoMapEntry_Value` in interface `Ecore2XMLPackage`
  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Map.Entry`, `Ecore2XMLPackage.getENamedElementToXMLInfoMapEntry()`

### getEcore2XMLFactory

    public Ecore2XMLFactory getEcore2XMLFactory()

  Specified by:
    `getEcore2XMLFactory` in interface `Ecore2XMLPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.